//メディア領域取得
var mus_Opning = new Audio();
var mus_HomeDay = new Audio();
var mus_OutDoor = new Audio();
var mus_HomeYoru = new Audio();
var music_flg = true;
//音声機能フラグ設定
var musicFunc = document.getElementById("music");
musicFunc.addEventListener("click",function(){
		//機能フラグ反転
		MusicSwitch();
	},false
);

//機能フラグONOFF
function MusicSwitch(){
	//機能フラグ反転
	if(music_flg){
		MusicAllStop();
		music_flg = false;
		musicFunc.innerText = "音楽ON";
		var saveParam = JSON.stringify(music_flg);
		storage_func.WriteData("CustomAndroid_musicData",saveParam);			
	}else{
		music_flg = true;
		musicFunc.innerText = "音楽OFF";
		var saveParam = JSON.stringify(music_flg);
		storage_func.WriteData("CustomAndroid_musicData",saveParam);	
	}	
}

//音声初期化
function MusicInit(){
	//ファイルセット
	mus_Opning.src = "music/op_hp_guitar05.mp3";
	mus_HomeDay.src = "music/home_day_hp_guitar07.mp3";
	mus_OutDoor.src = "music/outdoor_hp_guitar08.mp3";
	mus_HomeYoru.src = "music/home_yoru_hp_guitar01.mp3";
	//音楽ON/OFF設定を取得
	var elm_music = document.getElementById("music");
	var data = storage_func.ReadData("CustomAndroid_musicData");
	if((data==null)||(data=="null")){
		music_flg = true;
		elm_music.innerText = "音楽OFF";
		var saveParam = JSON.stringify(music_flg);
		storage_func.WriteData("CustomAndroid_musicData",saveParam);
	}else{
		music_flg = JSON.parse(data);	
		if(voice_flg){
			elm_music.innerText = "音声OFF";
		}else{
			elm_music.innerText = "音声ON";
		}		
	}
	//ロード開始
	mus_Opning.load();
	//ロード完了イベント
	mus_Opning.addEventListener("loadedmetadata",function(){
		//音量設定/次音声ロード
		mus_Opning.volume = 0.35;
		mus_HomeDay.load();
	},
	false);
	mus_HomeDay.addEventListener("loadedmetadata",function(){
		//音量設定/次音声ロード
		mus_HomeDay.volume = 0.35;
		mus_OutDoor.load();
	},
	false);
	mus_OutDoor.addEventListener("loadedmetadata",function(){
		//音量設定/次音声ロード
		mus_OutDoor.volume = 0.35;
		mus_HomeYoru.load();
	},
	false);
	mus_HomeYoru.addEventListener("loadedmetadata",function(){
		//音量設定/次音声ロード
		mus_HomeYoru.volume = 0.35;
	},
	false);

}
//オープニング
function MusicOpning(){
	if(music_flg){
		mus_Opning.play();
		mus_Opning.addEventListener("ended", function() {
		  mus_Opning.currentTime = 0;
		  mus_Opning.play();
		}, false);
	}
}
//家の中
function MusicHomeDay(){
	if(music_flg){
		mus_HomeDay.play();
		mus_HomeDay.addEventListener("ended", function() {
		  mus_HomeDay.currentTime = 0;
		  mus_HomeDay.play();
		}, false);		
	}
}
//家の外
function MusicOutDoor(){
	if(music_flg){
		mus_OutDoor.play();
		mus_OutDoor.addEventListener("ended", function() {
		  mus_OutDoor.currentTime = 0;
		  mus_OutDoor.play();
		}, false);			
	}
}
//家の中（夜）
function MusicHomeYoru(){
	if(music_flg){
		mus_HomeYoru.play();
		mus_HomeYoru.addEventListener("ended", function() {
		  mus_HomeYoru.currentTime = 0;
		  mus_HomeYoru.play();
		}, false);			
	}
}
//バック音声停止
function MusicOpningStop(){
	if(music_flg){
		mus_Opning.pause();
		mus_Opning.currentTime = 0;
	}
}
function MusicHomeDayStop(){
	if(music_flg){
		mus_HomeDay.pause();
		mus_HomeDay.currentTime = 0;
	}
}
function MusicOutDoorStop(){
	if(music_flg){
		mus_OutDoor.pause();
		mus_OutDoor.currentTime = 0;
	}
}
function MusicHomeYoruStop(){
	if(music_flg){
		mus_HomeYoru.pause();
		mus_HomeYoru.currentTime = 0;
	}
}
//全音声停止
function MusicAllStop(){
	MusicOpningStop();
	MusicHomeDayStop();
	MusicOutDoorStop();
	MusicHomeYoruStop();
}