//メディア領域取得
var aegi = new Audio();
var aegi2 = new Audio();
var orgazumu = new Audio();
var interval = new Audio();
var aegi_back = new Audio();
var aegi_back2 = new Audio();
var voice_flg = false;
//音声機能フラグ設定
var voiceFunc = document.getElementById("voice");
voiceFunc.addEventListener("click",function(){
		//機能フラグ反転
		if(voice_flg){
			voice_flg = false;
			voiceFunc.innerText = "音声ON";
			var saveParam = JSON.stringify(voice_flg);
			storage_func.WriteData("CustomAndroid_voiceData",saveParam);				
		}else{
			voice_flg = true;
			voiceFunc.innerText = "音声OFF";
			var saveParam = JSON.stringify(voice_flg);
			storage_func.WriteData("CustomAndroid_voiceData",saveParam);			
		}
	},false
);

//音声初期化
function AudioInit(){
	//ファイルセット
	aegi.src = "voice/aegi.mp3";
	aegi2.src = "voice/aegi2.mp3";
	orgazumu.src = "voice/orgazumu.mp3";
	interval.src = "voice/haha.mp3";
	aegi_back.src = "voice/aegi_back.mp3";
	aegi_back2.src = "voice/aegi_back2.mp3";
	//音楽ON/OFF設定を取得
	var elm_voice = document.getElementById("voice");
	var data = storage_func.ReadData("CustomAndroid_voiceData");
	if((data==null)||(data=="null")){
		voice_flg = true;
		elm_voice.innerText = "音声OFF";
		var saveParam = JSON.stringify(voice_flg);
		storage_func.WriteData("CustomAndroid_voiceData",saveParam);
	}else{
		voice_flg = JSON.parse(data);
		if(voice_flg){
			elm_voice.innerText = "音声OFF";
		}else{
			elm_voice.innerText = "音声ON";
		}
	}	
	//ロード開始
	aegi.load();
	//ロード完了イベント
	aegi.addEventListener("loadedmetadata",function(){
		//音量設定/次音声ロード
		aegi.volume = 0.5;
		aegi2.load();
	},
	false);
	aegi2.addEventListener("loadedmetadata",function(){
		//音量設定/次音声ロード
		aegi2.volume = 0.5;
		orgazumu.load();
	},
	false);
	orgazumu.addEventListener("loadedmetadata",function(){
		//音量設定/次音声ロード
		orgazumu.volume = 0.5;
		interval.load();
	},
	false);
	interval.addEventListener("loadedmetadata",function(){
		//音量設定/次音声ロード
		interval.volume = 0.5;
		aegi_back.load();
	},
	false);
	aegi_back.addEventListener("loadedmetadata",function(){
		//次音声ロード
		aegi_back.volume = 0.25;
		aegi_back2.load();
	},
	false);
	aegi_back2.addEventListener("loadedmetadata",function(){
		//音量設定
		aegi_back2.volume = 0.25;
	},
	false);		
}
//タッチ時用音声1
function AudioFrontPlay1(){
	if(voice_flg){
		aegi.play();
	}
}	
//タッチ時用音声2
function AudioFrontPlay2(){
	if(voice_flg){
		aegi2.play();
	}
}
//イキ時用音声1
function AudioFrontPlay3(){
	if(voice_flg){
		orgazumu.play();
		aegi_back2.pause();
	}
}
//呆然時用音声1
function AudioFrontPlay4(){
	if(voice_flg){
		interval.play();
	}
}
//呆然時用音声停止
function AudioFrontStop4(){
	interval.pause();
}		
//タッチ時バック音声
function AudioBackPlay(){
	if(voice_flg){
		aegi_back.play();
	}
}
//挿入時時バック音声
function AudioBackPlay2(){
	if(voice_flg){
		aegi_back2.play();
	}
}
//バック音声停止
function AudioBackStop(){
	aegi_back.pause();
	aegi_back2.pause();
}
//全音声停止
function AudioAllStop(){
	aegi.pause();
	aegi2.pause();
	orgazumu.pause();
	interval.pause();
	aegi_back.pause();
	aegi_back2.pause();
}	
//イキ時再生終了時イベント
orgazumu.addEventListener("ended",function(){
		//呆然時音声再生
		AudioFrontPlay4();
	},
false);
//呆然時再生終了時イベント
interval.addEventListener("ended",function(){
		//呆然時音声再生繰り返し
		AudioFrontPlay4();
	},
false);
//タッチ時バック再生終了時
aegi_back.addEventListener("ended",function(){
		//タッチ時バック音声繰り返し
		AudioBackPlay();
	},
false);
//挿入時時バック再生終了時
aegi_back2.addEventListener("ended",function(){
		//挿入時バック音声繰り返し
		AudioBackPlay2();
	},
false);	
